// http://akelpad.sourceforge.net/forum/viewtopic.php?p=1908#1908
// Version: 1.2
// Author: Shengalts Aleksander aka Instructor
//
//
// Description(1033): Lines unwrap.
// Description(1049): Убрать перенос строк.
//
// Arguments:
// -Delim=".?!"     -Line delimiters (default is ".?!:;").
//
// Usage:
// Call("Scripts::Main", 1, "LinesUnwrap.js", `-Delim=".?!"`)

//Arguments
var pDelim=AkelPad.GetArgValue("Delim", ".?!:;");

//Variables
var hWndEdit=AkelPad.GetEditWnd();
var oPattern;

if (hWndEdit)
{
  if (AkelPad.GetSelStart() == AkelPad.GetSelEnd())
    AkelPad.SetSel(0, -1);
  pSelText=AkelPad.GetSelText(2 /*\n*/);

  //Trim leading and trailing spaces
  pSelText=pSelText.replace(/[ \t]+$/gm, "");

  //Unwrap lines
  oPattern=new RegExp("([^" + pDelim + "\n])\n[ \t]*([^\n])", "g");
  pSelText=pSelText.replace(oPattern, "$1 $2");

  AkelPad.ReplaceSel(pSelText, -2);
}
